%define anolis_release 2
# Perform optional tests
%bcond_without perl_Compress_Raw_Lzma_enables_optional_test

Name:		perl-Compress-Raw-Lzma
Version:	2.103
Release:	%{anolis_release}%{?dist}
Summary:	Low-level interface to lzma compression library
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Compress-Raw-Lzma
Source0:	https://cpan.metacpan.org/modules/by-module/Compress/Compress-Raw-Lzma-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::Constant)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(lib)
BuildRequires:	xz-devel
# Module Runtime
BuildRequires:	perl(AutoLoader)
BuildRequires:	perl(bytes)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(UNIVERSAL)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(File::Path)
BuildRequires:	perl(Test::More)
%if %{with perl_Compress_Raw_Lzma_enables_optional_test}
# Optional Tests
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	xz
%endif
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(XSLoader)
# Built-against version is embedded in module, so we have a strict version dependency
Requires:	xz-libs = %((pkg-config --modversion liblzma 2>/dev/null || echo 0) | tr -dc '[0-9.]')

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides a Perl interface to the lzma compression library.
It is used by IO::Compress::Lzma.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Compress-Raw-Lzma-%{version}

# Remove bundled test modules
rm -rv t/Test/
perl -i -ne 'print $_ unless m{^t/Test/}' MANIFEST

%build
perl Makefile.PL \
  INSTALLDIRS=vendor \
  NO_PACKLIST=1 \
  NO_PERLLOCAL=1 \
  OPTIMIZE="%{optflags}"
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorarch}/auto/Compress/
%{perl_vendorarch}/Compress/
%{_mandir}/man3/Compress::Raw::Lzma.3*

%files doc
%doc Changes README

%changelog
* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.103-2
- add doc package

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.103-1
- init from upstream
